//============================================================================
// FILE: C_Population.h
//
// TYPE: C++CLASS
// DESCRIPTION: entête des classes des 'Populations' de Control-Diese
// 
// AUTHORS: Rellier (INRA/UBIA, Toulouse)
// REFERENCE : "Fondements ontologiques des systèmes pilotés"
//             R. Martin-Clouaire, J.-P. Rellier (INRA/UBIA, Toulouse)
//=X===============X=============================X============================

#ifndef _C_POPULATION_HH
#define _C_POPULATION_HH

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include "C_CoreTypes.h"

// /X///////////////X/////////////////////////////X////////////////////////////
//
//  POPULATION
//
// /X///////////////X/////////////////////////////X////////////////////////////

/**@name Structuration du système piloté
\label{classePopulation}
\begin{itemize} \item Directive d'inclusion : {\tt \#include C\_Population.h} \end{itemize}
 */
//@{  // fermeture dans Location (en fait, provisoirement ici)
/**@name Ensembles structurés d'individus */
//@{
        ///
class Population : public Entity
{
public:
   Population();
};
//@}  // fin Ensembles structurés d'individus

//@}  // fin Structuration du système piloté

//=X===============X=============================X============================



#endif  // _C_POPULATION_HH
